Commits

Anonymous committed f7ec138

ropeide: removed unused rope.contrib.codeassist imports

  • Participants
  • Parent commits cef3c52

Comments (0)

Files changed (4)

File docs/rope.txt

 * Added *ropemacs* package for using rope in emacs
 
 
-Backward Incompatible Changes
------------------------------
+Backward incompatible changes:
 
 * *Ropeide* and *ropemacs* packages depend on *rope* package; *rope*
   should be installed, first.

File docs/ropeide.txt

 * A new open project dialog
 
 
-Backward Incompatible Changes
------------------------------
+Backward incompatible changes:
 
 * *Ropeide* and *ropemacs* packages depend on *rope* package; *rope*
   should be installed, first

File ropeide/editingtools.py

-import rope.contrib.codeassist
 import rope.refactor.sourceutils
 import ropeide.highlighter
 import ropeide.indenter
     def __init__(self, project, prefs):
         self.project = project
         self.prefs = prefs
-        self._code_assist = None
-        self._outline = None
 
     def create_indenter(self, editor):
         indents = rope.refactor.sourceutils.get_indent(self.project.get_pycore())

File ropeide/editor.py

 import os
 
 import ScrolledText
+import Tkinter
 import tkFont
-import Tkinter
-from Tkinter import END, TclError, SEL_FIRST, SEL, SEL_LAST, INSERT, Toplevel, Text
+from Tkinter import END, TclError, SEL_FIRST, SEL, SEL_LAST, INSERT
 
-import rope.contrib.codeassist
 import ropeide.editingtools
 import ropeide.searcher
 import ropeide.tkhelpers